/*
 * @Company: hugeInfo
 * @Author: lwh
 * @Date: 2022-03-08 15:59:41
 * @LastEditTime: 2022-03-10 11:48:09
 * @LastEditors: lwh
 * @Version: 1.0.0
 * @Description:
 */
import React, { useEffect } from 'react';
import { useNavigate } from 'react-router-dom';

const Page = ({ children, url }) => {
	let navigate = useNavigate();
	useEffect(() => {
		if (url.id) {
			
			navigate(url, { state: { id: url.id } });
		} else {
			
			navigate(url);
		}
	}, [url]);
	return <>{children}</>;
};

export default Page;
